Access
Get hub access settings
Returns access configuration: public vs private, default plan (for public hubs), self-service toggle, login banner URL.
GET
/
public
/
api
/
v1
/
hub
/
access
Get hub access settings
curl --request GET \
--url https://api.gennia.ai/public/api/v1/hub/access \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.gennia.ai/public/api/v1/hub/access"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.gennia.ai/public/api/v1/hub/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"defaultPlan": {
"name": "<string>",
"publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"loginBannerUrl": "<string>",
"selfServiceEnabled": true
}{
"defaultPlan": {
"name": "<string>",
"publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"loginBannerUrl": "<string>",
"selfServiceEnabled": true
}Esta página foi útil?
Anterior
Update hub access settingsPartial update. When setting `accessType=public`, the hub must have a `defaultPlanPublicId` (in this request or already on the hub) — and that plan must be free (priceCents=0). Otherwise the request fails with 400. The banner image is uploaded separately via `POST /hub/logos/banner`.
Próximo
⌘I
Get hub access settings

